Commit d15d605a authored by almack's avatar almack

linux-lts 3.16.38

parent 728bfe8e
......@@ -6,7 +6,7 @@ source ../linux-lts.conf
pkgname=acpi_call-lts
_pkgname=acpi_call
pkgver=1.1.0
pkgrel=4
pkgrel=5
pkgdesc="A kernel module that enables you to call parameterless ACPI methods by writing the method name to /proc/acpi/call, e.g. to turn off discrete graphics card in a dual graphics environment (like NVIDIA Optimus)."
arch=('x86_64')
url=("http://github.com/mkottman/acpi_call")
......
......@@ -6,7 +6,7 @@ source ../linux-lts.conf
pkgname=bbswitch-lts
_pkgname=bbswitch
pkgver=0.8
pkgrel=7
pkgrel=8
pkgdesc="kernel module allowing to switch dedicated graphics card on Optimus laptops"
arch=('x86_64')
url=("http://github.com/Bumblebee-Project/bbswitch")
......
......@@ -3,7 +3,7 @@ source ../linux-lts.conf
pkgname=broadcom-wl-lts
pkgver=6.30.223.271
pkgrel=3
pkgrel=4
pkgdesc='Broadcom 802.11abgn hybrid Linux networking device driver'
arch=('x86_64')
url='http://www.broadcom.com/support/802.11/linux_sta.php'
......
......@@ -8,7 +8,7 @@ DLAGENTS="http::/usr/bin/curl --referer ${url_ref} -o %o %u"
pkgname=catalyst-lts
pkgver=15.9
pkgrel=2
pkgrel=3
_amdver=15.201.1151
pkgdesc="AMD/ATI Catalyst drivers for linux. fglrx kernel module only"
arch=('x86_64')
......
......@@ -5,14 +5,12 @@
#
# These are the "basic variables" appliable for the LTS kernal group
# Fetch from linux-lts/PKGBUILD
_kernelname="-CHAKRA-LTS"
_basekernel=4.4
_kernelver=4.4.17
_kernelver=3.16.38
_basekernel=3.16
# Fetch from vhba-modules-lts/PKGBUILD
_extramodules=extramodules-${_basekernel}${_kernelname}
_kver="$(cat /lib/modules/${_extramodules}/version)"
# Fetch from ndiswrapper-lts/PKGBUILD
_rootOfSourceTree=/usr/src/linux-${_kver}
_rootOfSourceTree=/usr/lib/modules/${_kver}/build/
......@@ -12,7 +12,7 @@
#
#core_packages
linux-lts
#linux-lts
vhba-module-lts
broadcom-wl-lts
acpi_call-lts
......
This diff is collapsed.
CONFIG_AUFS_FS=m
CONFIG_AUFS_BRANCH_MAX_127=y
# CONFIG_AUFS_BRANCH_MAX_511 is not set
# CONFIG_AUFS_BRANCH_MAX_1023 is not set
# CONFIG_AUFS_BRANCH_MAX_32767 is not set
CONFIG_AUFS_SBILIST=y
CONFIG_AUFS_HNOTIFY=y
CONFIG_AUFS_HFSNOTIFY=y
CONFIG_AUFS_EXPORT=y
CONFIG_AUFS_RDU=y
CONFIG_AUFS_PROC_MAP=y
CONFIG_AUFS_SP_IATTR=y
CONFIG_AUFS_SHWH=y
CONFIG_AUFS_BR_RAMFS=y
CONFIG_AUFS_BR_FUSE=y
CONFIG_AUFS_POLL=y
CONFIG_AUFS_BR_HFSPLUS=y
CONFIG_AUFS_BDEV_LOOP=y
# CONFIG_AUFS_DEBUG is not set
This diff is collapsed.
# arg 1: the new package version
# arg 2: the old package version
KERNEL_NAME=-CHAKRA-LTS
KERNEL_VERSION=4.4.17-1-CHAKRA-LTS
KERNEL_NAME=
KERNEL_VERSION=
post_install () {
# updating module dependencies
......
......@@ -5,7 +5,7 @@ source ../linux-lts.conf
pkgname=ndiswrapper-lts
_pkgname=ndiswrapper
pkgver=1.60
pkgver=1.61
pkgrel=1
pkgdesc="Module for NDIS (Windows Network Drivers) drivers supplied by vendors. For linux-lts."
license=('GPL')
......@@ -15,7 +15,7 @@ install="ndiswrapper.install"
depends=("linux-lts=${_kernelver}")
makedepends=("linux-lts-headers=${_kernelver}")
source=("http://downloads.sourceforge.net/sourceforge/ndiswrapper/ndiswrapper-$pkgver.tar.gz")
sha1sums=('20998237cf6d37b86391dc8736c10031110db578')
sha1sums=('213854ca8a83f9b5972db8fa873d346124e4bcb5')
prepare() {
[ -z "$_kver" ] && error "Could not get kernel version from '/usr/lib/modules/${_extramodules}/version'..." && false
......@@ -33,9 +33,9 @@ build() {
}
package() {
cd "$srcdir/$_pkgname-$pkgver"
cd "$srcdir/$_pkgname-$pkgver"
make sbindir=/usr/sbin usrsbindir=/usr/sbin KBUILD=${_rootOfSourceTree} INST_DIR="usr/lib/modules/$_extramodules" \
make sbindir=usr/sbin usrsbindir=usr/bin KBUILD=${_rootOfSourceTree} INST_DIR="usr/lib/modules/$_extramodules" \
KVERS=$_kver DESTDIR="$pkgdir/" install
sed -i -e "s/EXTRAMODULES='.*'/EXTRAMODULES='${_extramodules}'/" \
......
......@@ -4,8 +4,8 @@
source ../linux-lts.conf
pkgname=nvidia-304xx-lts
pkgver=304.131
pkgrel=2
pkgver=304.132
pkgrel=1
pkgdesc="NVIDIA drivers for linux."
arch=('x86_64')
url="http://www.nvidia.com/"
......@@ -16,7 +16,7 @@ license=('custom')
install=nvidia.install
_pkg="NVIDIA-Linux-${arch}-${pkgver}-no-compat32"
source=("ftp://download.nvidia.com/XFree86/Linux-${arch}/${pkgver}/${_pkg}.run")
md5sums=('24c9c6a8679edae3b2a608b191fdc727')
md5sums=('671551de37d7164d3b117c854374dcec')
prepare() {
cd "${srcdir}"
......
......@@ -4,8 +4,8 @@
source ../linux-lts.conf
pkgname=nvidia-340xx-lts
pkgver=340.96
pkgrel=2
pkgver=340.98
pkgrel=1
pkgdesc="NVIDIA drivers for linux."
arch=('x86_64')
url="http://www.nvidia.com/"
......@@ -16,7 +16,7 @@ license=('custom')
install=nvidia.install
_pkg="NVIDIA-Linux-x86_64-${pkgver}-no-compat32"
source=("ftp://download.nvidia.com/XFree86/Linux-x86_64/${pkgver}/${_pkg}.run")
md5sums=('7bdbcee13bade63227933d9217571882')
md5sums=('e8d1292d8d002a15e10ea349151fa8f2')
prepare() {
sh "${_pkg}.run" --extract-only
......
......@@ -3,8 +3,8 @@ source ../linux-lts.conf
pkgname=('nvidia-lts')
pkgdesc=('NVIDIA drivers for linux-lts')
pkgver=364.19
pkgrel=2
pkgver=370.28
pkgrel=1
arch=('x86_64')
url="http://www.nvidia.com/"
depends=("linux-lts=${_kernelver}" "nvidia-libgl" "nvidia-utils=${pkgver}")
......@@ -17,7 +17,7 @@ _pkg="NVIDIA-Linux-x86_64-${pkgver}-no-compat32"
source=("ftp://download.nvidia.com/XFree86/Linux-x86_64/${pkgver}/NVIDIA-Linux-x86_64-${pkgver}-no-compat32.run")
#source=("NVIDIA-Linux-x86_64-${pkgver}.run::https://developer.nvidia.com/linux64bit")
md5sums=('ad7a0b1855b3913390fb75b4cc3a26dc')
md5sums=('3bcd9a132e50a17b846869f1c57b9c75')
prepare() {
sh "${_pkg}.run" --extract-only
......
......@@ -4,8 +4,8 @@ source ../linux-lts.conf
pkgname=vhba-module-lts
_pkgname=vhba-module
pkgver=20140928
pkgrel=5
pkgver=20161009
pkgrel=1
pkgdesc="Kernel module that emulates SCSI devices"
arch=('x86_64')
url="http://cdemu.sourceforge.net/"
......@@ -15,7 +15,7 @@ makedepends=("linux-lts-headers=${_kernelver}")
install=vhba-module.install
source=("http://sourceforge.net/projects/cdemu/files/vhba-module/vhba-module-$pkgver.tar.bz2"
'60-vhba.rules')
md5sums=('967007230bb028424216d9b35da422c0'
md5sums=('9a9dc156e4cb73d0ca5892eeba801026'
'4dc37dc348b5a2c83585829bde790dcc')
prepare() {
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment